﻿using System;
using Newtonsoft.Json;

namespace Domain.Dtos
{
    public class Room : ParametricItem
    {
        [JsonIgnore]
        public long Id => Convert.ToInt64(Properties["id"]);

        [JsonIgnore]
        public string FunctionNumber => Convert.ToString(Properties["room_func_no"]);

        [JsonIgnore]
        public string FullName => Convert.ToString(Properties["full_name"]);

        [JsonIgnore]
        public double ProgrammedArea => Convert.ToDouble(Properties["programmed_area"]);
    }
}
