﻿namespace Domain
{
    public class GetRoomsReader : Reader<Dtos.Room>
    {
        private const string Mandatory_Properties_For_Dto = "id,room_func_no,full_name,programmed_area";

        public GetRoomsReader(string apiUrl, string accessToken) : base(apiUrl, accessToken)
        {
        }

        public GetRoomsReader(string apiUrl, string databaseAndUsername, string password) : base(apiUrl, databaseAndUsername, password)
        {
        }

        protected override string GetCallUrl()
        {
            return $"/rooms?$select={Mandatory_Properties_For_Dto}&$orderby=room_func_no";
        }
    }
}
